Debian Bug report logs - #473190
Wish: ability to select any locale as default one

version graph

Package: localechooser; Maintainer for localechooser is Debian Install System Team <debian-boot@lists.debian.org>; Source for localechooser is src:localechooser.

Reported by: "Stanislav Gromov" <kullfar@gmail.com>

Date: Sat, 29 Mar 2008 07:42:09 UTC

Severity: wishlist

Merged with 552560

Found in version localechooser/1.46

Fixed in version localechooser/2.17

Done: Frans Pop <fjp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473190; Package localechooser. Full text and rfc822 format available.

Acknowledgement sent to "Stanislav Gromov" <kullfar@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: "Stanislav Gromov" <kullfar@gmail.com>
To: maintonly@bugs.debian.org
Subject: Re: Typo in Debian GNU/Linux Installation Guide (Appendix A.)
Date: Sat, 29 Mar 2008 10:23:44 +0300
Package: localechooser
Version: 1.46
Severity: wishlist

Hi,

I have one wish to the localechooser.
My Default language is English,
my country is Russian,
and localechooser propose me only en_US locale to set primarily.
But I really dislike it! I like en_CA. It's much closer to Russia IMO.
(e.g. date format)

I know, I can change this later, after installation (and by adding
additional locales), but why? ;-))
And what should I do in case I don't need en_US locale at all?

I suppose "other" option there as in language-country option. I can
select country where English isn't official lang, by choosing other
and then my country from full list.

Thanks,
Stas




Information forwarded to Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473190; Package localechooser. Full text and rfc822 format available.

Acknowledgement sent to Stanislav Gromov <kullfar@gmail.com>:
Extra info received and forwarded to maintainer. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 473190-maintonly@bugs.debian.org (full text, mbox):

From: Stanislav Gromov <kullfar@gmail.com>
To: 473190-maintonly@bugs.debian.org
Subject: Wish: ability to select any locale as default one
Date: Sat, 29 Mar 2008 10:56:13 +0300
Oops... sorry, guys...
I sent wrong subject before.
"Typo in  Debian GNU/Linux Installation Guide (Appendix A.)" is wrong 
subject
"Wish: ability to select any locale as default one" is right one.


ps. I used expert mode during installation.


Thank,
Stas




Changed Bug title to `Wish: ability to select any locale as default one' from `Typo in Debian GNU/Linux Installation Guide (Appendix A.)'. Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sun, 30 Mar 2008 03:30:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#473190; Package localechooser. Full text and rfc822 format available.

Acknowledgement sent to 473190@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 473190@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 473190@bugs.debian.org
Cc: "Stanislav Gromov" <kullfar@gmail.com>
Subject: Re: Bug#473190: Wish: ability to select any locale as default one
Date: Sun, 30 Mar 2008 18:12:58 +0200
On Saturday 29 March 2008, Stanislav Gromov wrote:
> I have one wish to the localechooser.
> My Default language is English, my country is Russian,
> and localechooser propose me only en_US locale to set primarily.
> But I really dislike it! I like en_CA. It's much closer to Russia IMO.
> (e.g. date format)

I'm sorry, but this is a fairly extreme corner case we just cannot support. 
The locale selection is already fairly complex and I see no reason to make 
it even more complex, even in expert mode.

You can already select en_CA as additional locale in expert mode, but 
setting it as default will indeed need to be done after the installation is 
completed.

I do plan to change preseeding for localechooser and /possibly/ you could 
select en_CA as default locale using that, but I don't feel we should 
implement this in the interactive mode.

Cheers,
FJP




Reply sent to 473190@bugs.debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Stanislav Gromov" <kullfar@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 473190-done@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 473190-done@bugs.debian.org
Cc: "Stanislav Gromov" <kullfar@gmail.com>
Subject: Bug#473190: Wish: ability to select any locale as default one
Date: Sat, 5 Apr 2008 16:49:06 +0200
> On Saturday 29 March 2008, Stanislav Gromov wrote:
> > I have one wish to the localechooser.
> > My Default language is English, my country is Russian,
> > and localechooser propose me only en_US locale to set primarily.
> > But I really dislike it! I like en_CA. It's much closer to Russia IMO.
> > (e.g. date format)
>
> I'm sorry, but this is a fairly extreme corner case we just cannot
> support. The locale selection is already fairly complex and I see no
> reason to make it even more complex, even in expert mode.

I see I was mistaken. You _can_ already select en_CA if you install in 
expert mode and select English as language and Russian Federation as 
country.

Leaving the report open as preseeding this combination of values is quite 
likely still an issue.

Cheers,
FJP




Bug reopened, originator not changed. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 05 Apr 2008 15:00:17 GMT) Full text and rfc822 format available.

Forcibly Merged 473190 552560. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 13 Nov 2009 17:18:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Dec 2009 07:40:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:30:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.